<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;

/**
 * App\Models\UserRechargeRecord
 *
 * @property int $id id
 * @property int $user_id user_id
 * @property int $combo_id 套餐ID
 * @property string $price 支付金额 1:1 金币
 * @property string $gift 赠送金币
 * @property int $pay_id 支付ID
 * @property \Illuminate\Support\Carbon $updated_at 删除时间
 * @property string $deleted_at 删除时间
 * @property \Illuminate\Support\Carbon $created_at 创建时间
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord newModelQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord newQuery()
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord query()
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord whereComboId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord whereCreatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord whereDeletedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord whereGift($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord whereId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord wherePayId($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord wherePrice($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord whereUpdatedAt($value)
 * @method static \Illuminate\Database\Eloquent\Builder|UserRechargeRecord whereUserId($value)
 * @mixin \Eloquent
 */
class UserRechargeRecord extends Model
{
    use HasFactory;
}
